import React, { Component, Fragment } from "react";
import { bindActionCreators } from "redux";
import { connect} from 'react-redux';

import Form from "../components/Auth/authorisation";
import LinkHome from "../components/Btn/linkHome"
import { getUsersData } from "../actions/usersAuthActions";

class RenderAuthorisation extends Component {      
    render() {
      return (
        <Fragment>
          <LinkHome />
          <Form {...this.props} />
        </Fragment>       
      );
    }
}


const mapStateToProps = state => ({
  inputData: state.usersAuth.inputData
});

const mapDispatchToProps = dispatch => bindActionCreators({ getUsersData }, dispatch);

export default RenderAuthorisation = connect(
  mapStateToProps,
  mapDispatchToProps
)(RenderAuthorisation);