import React, { Component, Fragment } from "react";
import { bindActionCreators } from "redux";
import { connect } from 'react-redux';

import * as actions from "../actions/usersRegistrActions";

import RegistrForm from "../components/Auth/registration";
import LinkHome from "../components/Btn/linkHome"

class RenderRegistration extends Component {
    render() {
        return (
            <div className="formdiv">
                <LinkHome />
                <RegistrForm {...this.props} />
            </div>
        );
    }
}


const mapStateToProps = state => ({
});

const mapDispatchToProps = dispatch => bindActionCreators({ ...actions }, dispatch);

export default RenderRegistration = connect(
    mapStateToProps,
    mapDispatchToProps
)(RenderRegistration);